Retrieve connected Accounts that belong to a Company
curl --request GET \
--url https://api.tread-horizon.com/v1/companies/{company-id}/accounts/connected \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.tread-horizon.com/v1/companies/{company-id}/accounts/connected"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.tread-horizon.com/v1/companies/{company-id}/accounts/connected', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"discarded_at": "2023-11-07T05:31:56Z",
"name": "<string>",
"account_types": [
"customer"
],
"external_id": "<string>",
"accounting_id": "<string>",
"company": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
},
"schedule_on": true,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"notes": "<string>",
"truck_count": 123,
"auto_accept_orders": false,
"managed": true,
"labels": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"color": "<string>"
}
],
"billing_address": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"thoroughfare": "<string>",
"premise": "<string>",
"locality": "<string>",
"administrative_area": "<string>",
"postal_code": "<string>",
"country": "US",
"lat": "<string>",
"lon": "<string>",
"place_id": "<string>"
},
"connected_company": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"tread_id": "ABC123",
"legal_name": "<string>",
"company_type": "hauler"
},
"billing_contact": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"email": "<string>",
"phone": "+18885551234"
},
"primary_contact": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"email": "<string>",
"phone": "+18885551234"
},
"address": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"thoroughfare": "<string>",
"premise": "<string>",
"locality": "<string>",
"administrative_area": "<string>",
"postal_code": "<string>",
"country": "US",
"lat": "<string>",
"lon": "<string>",
"place_id": "<string>"
},
"connected_account": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"discarded_at": "2023-11-07T05:31:56Z",
"account_types": [
"customer"
],
"truck_count": 123,
"auto_accept_orders": true
},
"department": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>"
}
}
]
}{
"error": {
"code": "<string>",
"error_type": "<string>"
}
}{
"error": {
"code": "<string>"
}
}{
"error": {
"code": "<string>"
}
}Accounts
Retrieve connected Accounts that belong to a Company
Retrieve connected Accounts for a Company.
GET
/
v1
/
companies
/
{company-id}
/
accounts
/
connected
Retrieve connected Accounts that belong to a Company
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
The Accept-Language request HTTP header indicates the natural language and locale that the client prefers.
Example:
"en"
Path Parameters
Company ID
Query Parameters
The maximum number of paginated results to return
Required range:
x <= 100The cursor to start paginating after
The cursor to stop paginating at
Search string for datagrid queries
AccountType filter
Only show discarded Accounts
Response
OK
Show child attributes
Show child attributes
⌘I